package org.ccpit.base.utils;

import javax.mail.Authenticator;
import javax.mail.PasswordAuthentication;

/**
 * Date: 2015年10月29日 10:32
 *
 * @author 孙其鹏
 * @version 1.0
 */
public class PopupAuthenticator extends Authenticator {
    private String username = null;
    private String password = null;

    public PopupAuthenticator(String user, String pass) {
        this.username = user;
        this.password = pass;
    }

    protected PasswordAuthentication getPasswordAuthentication() {
        return new PasswordAuthentication(username, password);
    }

}
